ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kenny Ballou (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-6903) Maven {artifactId} / {pom.groupId} Deprecation Warnings
Date Mon, 18 Aug 2014 21:45:18 GMT
Kenny Ballou created AMBARI-6903:
------------------------------------

             Summary: Maven {artifactId} / {pom.groupId} Deprecation Warnings
                 Key: AMBARI-6903
                 URL: https://issues.apache.org/jira/browse/AMBARI-6903
             Project: Ambari
          Issue Type: Bug
            Reporter: Kenny Ballou
            Priority: Trivial


While attempting to build latest from https://github.com/apache/ambari, I ran into several
deprecation warnings thrown by Maven:

{code}
[WARNING] The expression ${pom.groupId} is deprecated. Please use ${project.groupId} instead.
[WARNING] The expression ${artifactId} is deprecated. Please use ${project.artifactId} instead.
{code}

Build command to produce this warning was the same found in the latest [documentation|https://cwiki.apache.org/confluence/display/AMBARI/Build+and+install+Ambari+1.6.1+from+Source]:

{code}
mvn -B clean install package rpm:rpm -DnewVersion=1.6.1 -DskipTests -Dpython.ver="python >=
2.6"
{code}



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message